Subject: Re: bug#39890: 26.3; do-applescript undeterministic with long running scripts

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 12:53:04 +0200

Alexander Adolf <[email-masked]> writes:

> As a work-around, I have altered my function to use (call-process
> "osascript") instead:
>
> ----------------------------------------------------------------------
> (defun eudc-macos-contacts-search-helper (str)
>   "Helper function to query the Contacts app via AppleScript.
> Searches for all persons with a case-insensitive substring match
> of STR in any of their name fileds (first, middle, or last)."
>   (insert (do-applescript (format "
>   (if (executable-find "osascript")
>       (call-process "osascript" nil t nil
> 		    "-e"

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I see that in the time since this was reported,
eudc-macos-contacts-search-helper has been changed to essentially be the
code suggested by Alexander here, so I assume that this fixed the
problem, and I'm closing this bug report.  If that's mistaken, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no